
/*  -*- MaTX -*-
 *
 *  ̾
 *      cond() - (2-Υ)
 *
 *  ڷ
 *      c = cond(A)
 *         Real c;
 *         Matrix A;
 *
 *  ڵǽ
 *      cond()ϡ2-Υ˴ؤ롣ϡ
 *      ðͤȺǾðͤͿ졤1 ʾǤ롣
 *
 *  ڥ르ꥺ
 *      ðʬѤ롣
 *
 *  ա
 *      ֤׻ðͤޤʤϡΥåɽ롣
 *
 *          Solution will not converge
 *
 *  
 *      A = [[1 2 3][4 5 6]];
 *      k = cond(A) = 12.3022
 *
 *  ڴϢܡ
 *      svd(), rank()
 *
 */

Func Real cond(X)
	Matrix X;
{
	Real c;
	Matrix S;

	// 
	if (length(X) == 0) {
		warning("cond(): \n");
		c = NaN;
	} else {
		S = singval(X);
		// ð۹
		if (any(Array(S) == 0)) {
			warning("cond(): ̵硣\n");
			c = Inf;
		} else {
			c = max(S)/min(S);
		}
	}
	
	return c;
}
